@font-face {
    font-family: CardName;
    src: url('https://res.cloudinary.com/dp0kx2htu/raw/upload/v1695287382/FontsFree-Net-adelia_tkbzt9.ttf');
}

@font-face {
    font-family: PrimaryFont;
    src: url('https://res.cloudinary.com/dp0kx2htu/raw/upload/v1695632754/PER______so9azi.TTF');
}

*,
*::before,
*::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    position: relative;
    background-image: url('https://res.cloudinary.com/dpr6hw8uh/image/upload/v1748686329/image0_lxaxpe.jpg');
    background-position: center 0;
    background-size: cover;
}

@media screen and (max-width: 480px) {
    body {
        background-image: url('https://res.cloudinary.com/dpr6hw8uh/image/upload/v1748686329/image0_lxaxpe.jpg');
    }
}

.body_overlay {
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(255, 255, 255, .2);
}

.main {
    overflow: hidden;
}

#pack_cont {
    width: 100vw;
    height: 100vh;
    position: relative;
}

.button_container {
    display: flex;
    opacity: 0;
    transition: all .4s;
    align-items: center;
    justify-content: center;
    z-index: 99;
    position: fixed;
    top: calc(50% + 195px);
    left: 50%;
    transform: translate(-50%, 0);
}

button {
    color: black;
    padding: 8px 16px;
    font-size: 15px;
    background-color: #a79948;
    border-radius: 0;
    color: white;
    text-transform: uppercase;
    outline: none;
    cursor: pointer;
    border: none;
}

.button_main {
    margin: 0 auto;
    padding: 13px 26px;
    font-size: 18px;
    margin-top: 20px;
}

.card_container {
    display: none;
    width: 100%;
    max-width: 700px;
    margin: 0 auto;
    background-color: white;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 99999;
    padding: 45px 35px;
    box-shadow: 0px 0px 16px rgba(0, 0, 0, .2);
}

.card_picked {
    width: 250px;
    height: 350px;
    margin: 0 auto;
    background-size: cover;
    background-repeat: no-repeat;
    border: 1px solid #ddd;
    border-radius: 10px;
    box-shadow: 0px 4px 16px rgba(0, 0, 0, .3);
}

.card_info {
    margin-top: 30px;
}

.card_name {
    font-size: 26px;
    text-align: center;
    margin-bottom: 16px;
    font-family: CardName;
}

.card_snippet {
    font-size: 25px;
    text-align: center;
    margin-bottom: 16px;
    text-transform: uppercase;
    font-family: PrimaryFont;
}

.card_description {
    margin: 0 auto;
    text-align: center;
    font-size: 18px;
    line-height: 1.4;
    font-family: PrimaryFont;
}

.card_extra {
    margin: 0 auto;
    margin-top: 14px;
    font-style: italic;
    text-align: center;
    font-size: 17px;
    line-height: 1.4;
    font-family: PrimaryFont;
}

.card_button_container {
    margin-top: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.card_button_container button {
    margin-right: 20px;
    font-size: 20px;
    padding: 12px 24px;
    text-decoration: none;
    font-family: PrimaryFont;
}

.error_message {
    background-color: white;
    padding: 14px;
    font-size: 18px;
    margin-bottom: 20px;
    text-align: center;
}

.card_button_container a {
    color: black;
    padding: 8px 16px;
    font-size: 15px;
    background-color: #a79948;
    border-radius: 0;
    color: white;
    text-transform: uppercase;
    outline: none;
    cursor: pointer;
    border: none;
    font-size: 20px;
    padding: 12px 24px;
    margin-right: 20px;
    text-decoration: none;
    font-family: PrimaryFont;
}

.card_button_container button:last-child {
    margin-right: 0px;
}

.card_error_container {
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    align-items: center;
    justify-content: center;
    position: absolute;
    bottom: 80px;
    left: 50%;
    transform: translate(-50%, 0);
}

.card_error_container .button {
    color: black;
    padding: 8px 16px;
    font-size: 15px;
    background-color: #a79948;
    border-radius: 0;
    color: white;
    text-transform: uppercase;
    outline: none;
    cursor: pointer;
    border: none;
    text-decoration: none;
    font-size: 18px;
    padding: 15px 30px;
}

/*single card*/
.card {
    width: 250px;
    height: 350px;
    border: 1px solid #ddd;
    border-radius: 10px;
    position: absolute;
    top: calc(50% - 145px);
    left: calc(50% - 60px);
    /* transform: translate(-50%, 0); */
    background-color: white;
    background-image: url('https://res.cloudinary.com/dp0kx2htu/image/upload/v1695913027/00-BACKFACE_copy_fjhj0c_ilgqsr.jpg') !important;
    background-size: cover;
    background-repeat: no-repeat;
    cursor: pointer;
    text-align: center;
    transition: all 1s;
    -ms-transition: all 1s;
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    transform-origin: 20% 80%;
    -ms-transform-origin: 20% 80%;
    -webikit-transform-origin: 20% 80%;
    -moz-transform-origin: 20% 80%;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.card.open {
    transform-origin: center center !important;
    -ms-transform-origin: center center !important;
    -webikit-transform-origin: center center !important;
    -moz-transform-origin: center center !important;
    -webkit-transform: rotateY(180deg) !important;
    transform: rotateY(180deg) !important;
}

/*hide background from open card */
.card.opened {
    background-image: none;
}

button {
    cursor: pointer;
}

@media screen and (max-width: 859px) {
    .card {
        width: 200px;
        height: 280px;
        left: calc(50% - 60px);
    }
}

@media screen and (max-width: 720px) {
    .card {
        width: 180px;
        height: 252px;
        left: calc(50% - 50px);
    }
}

@media screen and (max-width: 620px) {
    .card {
        width: 150px;
        height: 210px;
        left: calc(50% - 32px);
    }

    .card_error_container .button {
        font-size: 17px;
        padding: 14px 26px;
        min-width: 530px;
    }
}

@media screen and (max-width: 480px) {
    .card {
        width: 135px;
        height: 189px;
        left: calc(50% - 30px);
    }

    .card_container {
        padding: 30px 25px;
    }

    .card_name {
        font-size: 22px;
        margin-bottom: 12px;
    }

    .card_snippet {
        font-size: 20px;
        margin-bottom: 12px;
    }

    .card_description {
        font-size: 16px;
        line-height: 1.3;
    }

    .card_button_container {
        margin-top: 24px;
    }

    .card_button_container button {
        font-size: 17px;
        padding: 12px 16px;
    }

    .card_button_container a {
        font-size: 17px;
        padding: 12px 16px;
        margin-right: 16px;
    }

    .error_message {
        font-size: 16px;
    }
}

@media screen and (max-width: 400px) {
    .card {
        width: 130px;
        height: 182px;
        left: calc(50% - 28px);
    }

    .card_name {
        font-size: 20px;
    }

    .card_picked {
        width: 235px;
        height: 329px;
    }
}

@media screen and (max-width: 380px) {
    .card {
        width: 125px;
        height: 175px;
        left: calc(50% - 26px);
    }
}